#include <stdio.h>
#include <stdint.h>

uint8_t foo(uint32_t *n) {
  uint8_t a = *n;
  return a;
}

int *bar() {
  int *a = NULL;
  return a;
}

int main() {
  uint32_t n = 42;
  uint8_t a = foo(&n);
  printf("%hhu\n", a);
  printf("%x\n", bar());
  return 0;
}
